/** \file
    \brief Common settings window header file
*/

//---------------------------------------------------------------------------
#ifndef SettingsUnitH
#define SettingsUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include "Settings.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Graphics.hpp>

/** \brief Common application settings manipulation window
*/
class TfrmSettings : public TForm
{
__published:	// IDE-managed Components
	TPageControl *PageControl;
	TTabSheet *tsScopePlugins;
	TTabSheet *tsOther;
	TLabel *lblUiCapacity;
	TCheckBox *chbAlwaysOnTop;
	TComboBox *cmbMaxUiLogLines;
	TPanel *pnlBottom;
	TPanel *pnlBottomRight;
	TButton *btnApply;
	TButton *btnCancel;
	TListView *lvScopePlugins;
	TImageList *imglDllList;
	TPanel *pnlScopePluginsHelp;
	TImage *imgSelected;
	TLabel *lblDllInfo2;
	TTabSheet *tsGraph;
	TLabel *lblRefreshingFreq;
	TComboBox *cbGraphRefreshingFreq;
	TLabel *lblVisibility;
	TLabel *lblOscilloscope;
	TLabel *lblSpectrum;
	TCheckBox *chbOscilloscopeGridX;
	TCheckBox *chbOscilloscopeGridY;
	TCheckBox *chbOscilloscopeGridLabels;
	TCheckBox *chbSpectrumGridX;
	TCheckBox *chbSpectrumGridY;
	TCheckBox *chbSpectrumGridLabels;
	TLabel *lblDllInfo3;
	TLabel *lblRecorder;
	TCheckBox *chbRecorderGridX;
	TCheckBox *chbRecorderGridY;
	TCheckBox *chbRecorderGridLabels;
	TLabel *lblPlotToolbarTransparency;
	TTrackBar *tbarPlotToolbarTransparency;
	TLabel *lblTransparencyMax;
	TLabel *lblTransparencyNone;
	TLabel *lblMs3RecorderFileSizeLimit;
	TEdit *edMs3RecorderFileSizeLimit;
	TTabSheet *tsFFT;
	TLabel *lblFftSamplesLimit;
	TComboBox *cbFftSamplesLimit;
	TLabel *lblFftWindowType;
	TComboBox *cbFftWindowType;
	TMemo *memoFftWindowDescription;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall btnCancelClick(TObject *Sender);
	void __fastcall btnApplyClick(TObject *Sender);
	void __fastcall chbAlwaysOnTopClick(TObject *Sender);
	void __fastcall cmbMaxUiLogLinesChange(TObject *Sender);
	void __fastcall lvScopePluginsData(TObject *Sender, TListItem *Item);
	void __fastcall cbGraphRefreshingFreqChange(TObject *Sender);
	void __fastcall tbarPlotToolbarTransparencyChange(TObject *Sender);
	void __fastcall cbFftSamplesLimitChange(TObject *Sender);
	void __fastcall cbFftWindowTypeChange(TObject *Sender);
private:	// User declarations
	void SetFftWindowDescription(void);
public:		// User declarations
	__fastcall TfrmSettings(TComponent* Owner);
	Settings *appSettings;
	Settings tmpSettings;
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
#endif
